Package org.eclipse.emf.cdo.spi.server

# Class PluginRepositoryProvider

java.lang.Object
org.eclipse.emf.cdo.spi.server.ContainerRepositoryProvider
org.eclipse.emf.cdo.spi.server.PluginRepositoryProvider

All Implemented Interfaces:
  `IRepositoryProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

@Deprecated public final class PluginRepositoryProvider extends ContainerRepositoryProvider
Deprecated.
As of 4.20 use `ContainerRepositoryProvider`.

Since:
  2.0
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PluginRepositoryProvider`
`INSTANCE`
Deprecated.

## Method Summary

### Methods inherited from class org.eclipse.emf.cdo.spi.server.ContainerRepositoryProvider

`getContainer, getRepository`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

@Deprecated public static final PluginRepositoryProvider INSTANCE
Deprecated.